Bug 120915 - Disable hinting for font MuktiNarrow
Summary: Disable hinting for font MuktiNarrow
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fontconfig   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-15 07:26 UTC by Sayamindu Dasgupta
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-19 17:13:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:410 normal SHIPPED_LIVE Updated fontconfig packages 2004-09-02 04:00:00 UTC

Description Sayamindu Dasgupta 2004-04-15 07:26:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
Apparently, the FreeType autohinter cannot handle Indic fonts
correctly.  Freetype with bytecode interpreter enabled works fine. I
don't suppose Fedora will be enabling that - so the best solution will
be disable autohinting for the MuktiNarrow font. The following lines
are needed in /etc/fonts/fonts.conf

         <match target="font">
                <test name="family">
                        <string>Mukti Narrow</string>
                </test>
                <edit name="hinting">
                        <bool>false</bool>
                </edit>
        </match>




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open gedit

2. Copy paste the text &#2438;&#2478;&#2494;&#2480;
&#2472;&#2494;&#2478;
&#2488;&#2494;&#2527;&#2478;&#2495;&#2472;&#2509;&#2470;&#2497; into gedit

3. See the rendering
    

Actual Results:  The glyphs are not being aligned properly

Expected Results:  The glyphs should line up correctly.

Additional info:

Comment 1 Owen Taylor 2004-04-19 17:12:18 UTC
* Mon Apr 19 2004 Owen Taylor <otaylor@redhat.com> 2.2.1-9
- Disable hinting for Mukti Narrow (#120915, Sayamindu Dasgupta)

Comment 2 John Flanagan 2004-09-02 05:42:03 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-410.html



Note You need to log in before you can comment on or make changes to this bug.